Name:          mlt
Version:       0.9.2
Release:       1mamba
Summary:       An open source multimedia framework, designed and developed for television broadcasting
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.mltframework.org
Source:        http://downloads.sourceforge.net/project/mlt/mlt/mlt-%{version}.tar.gz
Patch0:        %{name}-0.3.0-sox1420.patch
Patch1:        %{name}-0.3.8-ffmpeg-headers.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavdevice-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcairo-devel
BuildRequires: libdv-devel
BuildRequires: libexif-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libjack-devel
BuildRequires: libpango-devel
BuildRequires: libqt4-devel
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswfdec-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: sox-devel
## AUTOBUILDREQ-END
BuildRequires: ladspa-devel
BuildRequires: frei0r-plugins-devel
Provides:      libmlt++
Obsoletes:     libmlt++
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
MLT is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications. The functionality of the system is provided via an assortment of ready to use tools, xml authoring components, and an extendible plug-in based API.

%package devel
Summary:       An open source multimedia framework, designed and developed for television broadcasting
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Provides:      libmlt++-devel
Obsoletes:     libmlt++-devel

%description devel
MLT is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications. The functionality of the system is provided via an assortment of ready to use tools, xml authoring components, and an extendible plug-in based API.
This package contains static files and headers used for development.

%prep

%setup -q

%build
export KDEDIR=%{kdedir}
%configure \
   --enable-gpl \
   --enable-motion-est \
   --avformat-swscale \
   --qimage-libdir=%_qt4_libdir \
   --qimage-includedir=%_qt4_headerdir

CFLAGS="-I%{_includedir}/ffmpeg" %make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/melt
%dir %{_datadir}/mlt
%{_datadir}/mlt/*
%{_libdir}/libmlt.so.*
%{_libdir}/libmlt++.so.*
%{_libdir}/mlt/*.so
%doc COPYING ChangeLog README

%files devel
%defattr(-,root,root)
%{_includedir}/mlt/framework/*.h
%{_includedir}/mlt++/config.h
%{_includedir}/mlt++/Mlt*.h
%{_libdir}/pkgconfig/mlt-framework.pc
%{_libdir}/pkgconfig/mlt++.pc
%{_libdir}/libmlt.so
%{_libdir}/libmlt++.so

%changelog
* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-3mamba
- really rebuilt with sox 14.4

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- rebuilt with sox 14.4

* Fri Feb 01 2013 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic version update by autodist

* Fri May 18 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.8-1mamba
- update to 0.7.8

* Thu Jul 28 2011 Automatic Build System <autodist@mambasoft.it> 0.7.4-1mamba
- automatic update by autodist

* Sat Jun 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.2-1mamba
- update to 0.7.2

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-3mamba
- automatic rebuild by autodist

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-2mamba
- automatic rebuild by autodist

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-1mamba
- automatic update by autodist

* Mon Dec 07 2009 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- update to 0.4.6

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic update by autodist

* Sat May 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-1mamba
- update to 0.3.8
- added configure option --avformat-swscale (http://bugs.archlinux.org/task/8531)

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-2mamba
- automatic rebuild by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-3mamba
- automatic rebuild by autodist

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-2mamba
- rebuilt against updated libdc1394

* Wed Apr 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1mamba
- update to 0.2.5 (svn20080402)

* Mon Mar 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1mamba
- package created by autospec
